Supported Browsers and Language

Browser

Connect by Lumi is compatible with Internet Explorer (IE) 11, as well as the latest versions of Firefox, Chrome, Safari, and Microsoft Edge. Not sure which browser you're using? Find out by clicking here.

Using an outdated browser can leave you more vulnerable to security risks, slow down performance, and cause some websites to behave incorrectly. Download the latest version for FirefoxChromeInternet Explorer, and Safari.



Language

A Classic event, venue, survey, or campaign can be automatically translated into the following languages:

Chinese (Simplified)

Chinese (Traditional for Event only)

Dutch

English

Finnish (for Event only)

French

French (Canadian)

German

Italian

Japanese

Korean

Portuguese (Brazilian)

Portuguese (European)

Russian (for Event only)

Spanish

Swedish (for Event only)

Thai

Turkish (for Event only)


However all languages in Flex events and some languages in Classic events are attendee-facing only. This means your registration process (or what your attendees see) will be translated, but what you see while working in the dashboard will not. For Classic events, these include:

Bulgarian

Danish

Greek

Norwegian

Polish

Romanian

Vietnamese

 

 

Click to download the app


Lumi-Connect-Logo

Reviewed and Approved by Product Team